## GstAggregatorPad GstAggregatorPad |

## Functions

GstBuffer * | gst_aggregator_pad_steal_buffer ()
GstBuffer * | gst_aggregator_pad_get_buffer ()

## Types and Values

struct | GstAggregatorPad
struct | GstAggregatorPadClass

## Description

## Functions

### gst_aggregator_pad_steal_buffer ()

    GstBuffer *
    gst_aggregator_pad_steal_buffer (GstAggregatorPad *pad);

Steal the ref to the buffer currently queued in `pad` .

#### Parameters

pad | the pad to get buffer from |

#### Returns

The buffer in `pad` or NULL if no buffer was queued. You should unref the buffer after usage.

[transfer full]

### gst_aggregator_pad_get_buffer ()

    GstBuffer *
    gst_aggregator_pad_get_buffer (GstAggregatorPad *pad);

#### Parameters

pad | the pad to get buffer from |

#### Returns

A reference to the buffer in `pad` or NULL if no buffer was queued. You should unref the buffer after usage.

[transfer full]

## Types and Values

### struct GstAggregatorPad

    struct GstAggregatorPad {
      GstPad                       parent;

      GstBuffer                 *  buffer;
      GstSegment                   segment;
      gboolean                     eos;

      /* < Private > */
      GstAggregatorPadPrivate   *  priv;

      gpointer _gst_reserved[GST_PADDING];
    };

The implementation the GstPad to use with GstAggregator

#### Members

GstPad `parent`; |  |
GstBuffer *`buffer`; | currently queued buffer. |
GstSegment `segment`; | last segment received. |
gboolean `eos`; |  |
GstAggregatorPadPrivate *`priv`; |  |
gpointer `_gst_reserved`[GST_PADDING]; |  |

### struct GstAggregatorPadClass

    struct GstAggregatorPadClass {
      GstPadClass   parent_class;

      GstFlowReturn (*flush)     (GstAggregatorPad * aggpad, GstAggregator * aggregator);
    };

#### Members

GstPadClass `parent_class`; |  |
`flush` () | Optional Called when the pad has received a flush stop, this is the place to flush any information specific to the pad, it allows for individual pads to be flushed while others might not be. |